=== debian/changelog ===
rdkit (201106+dfsg-1) unstable; urgency=low

  * Initial upload (Closes: #640118).

 -- Michael Banck <mbanck@debian.org>  Sat, 03 Sep 2011 16:14:53 +0200
